
@echo off

rem
rem execution des T.U. 
rem

rem
rem ----------------- début de la config -----------------
rem 

rem chemin relatif, vers la racine du projet, a partir du bin\Release des T.U.
rem
set path_to_root=..\..\

rem assembly de T.U.
rem SANS .DLL a la fin !!!
rem
set test_assembly=Sage.Paie.Service.ControlDsn

rem assemblies a analyser / a ignorer (cf. wiki)
rem
set assembly_filter="+[Sage.Paie.Service.*]*"

rem XML des résultats NUnit
rem
set path_to_tests_results=%path_to_root%\UDD\TestsResults

rem version des composants
rem
set opencover_version=4.6.166
set nunitrunner_version=3.10.0

rem
rem ----------------- fin de la config -----------------
rem 

rem obligatoire depuis Jenkins pour se positionner dans le bon repertoire (= le bin\Release)
cd %1

rem
rem ----------------- Lancement des tests -----------------
rem 
echo Launching NUnit tests...
rem %path_to_root%\packages\NUnit.ConsoleRunner.%nunitrunner_version%\tools\nunit3-console.exe %test_assembly%.dll --params:TestEnvironment=%2 /result:%test_assembly%.NUnitResults.xml /transform:nunit3-junit.xslt
%path_to_root%\packages\NUnit.ConsoleRunner.%nunitrunner_version%\tools\nunit3-console.exe %test_assembly%.dll --params:TestEnvironment=%2 /result:%test_assembly%.NUnitResults.xml
SET ERRORNUNIT=%ERRORLEVEL%
echo ErrorNunit : %ERRORNUNIT%
rem
rem recopie des fichiers résultats
rem

echo Copying NUnit results to [%path_to_tests_results%] ...

rmdir %path_to_tests_results% /S /Q
mkdir %path_to_tests_results%
copy /Y %test_assembly%.NUnitResults.xml %path_to_tests_results%

if %ERRORNUNIT% EQU 1 (
   exit /b %ERRORNUNIT%
)

 exit /b %ERRORLEVEL%
